## org.eclipse.datatools.connectivity.sqm.core.mappings
Class MySafeRunnable

    java.lang.Object
      org.eclipse.datatools.connectivity.sqm.core.mappings.MySafeRunnable

All Implemented Interfaces:
  org.eclipse.core.runtime.ISafeRunnable

    public class MySafeRunnable

extends java.lang.Object
implements org.eclipse.core.runtime.ISafeRunnable

Used to create a ProviderIDtoDriverCategoryIDDescriptor from an extension point in a thread-safe way.

EXPERIMENTAL. This class or interface has been added as part of a work in progress. There is no guarantee that this API will work or that it will remain the same. Please do not use this API without consulting with the DTP Connectivity team.

Author:
  brianf

Constructor Summary
`MySafeRunnable(ProviderIDtoDriverCategoryIDDescriptor[] instance, org.eclipse.core.runtime.IConfigurationElement element)` Constructor

Method Summary
`void` `handleException(java.lang.Throwable exception)`
`void` `run()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MySafeRunnable

    public MySafeRunnable(ProviderIDtoDriverCategoryIDDescriptor[] instance,
                          org.eclipse.core.runtime.IConfigurationElement element)

  Constructor

  Parameters:
    `instance` -
    `element` -

Method Detail

### handleException

    public void handleException(java.lang.Throwable exception)

  Specified by:
    `handleException` in interface `org.eclipse.core.runtime.ISafeRunnable`

### run

    public void run()
             throws java.lang.Exception

  Specified by:
    `run` in interface `org.eclipse.core.runtime.ISafeRunnable`
  Throws:
    `java.lang.Exception`